summaryrefslogtreecommitdiffstats
path: root/desktop/kbdd
diff options
context:
space:
mode:
author Veljko Tanjga <veljko@tanjga.net>2012-12-16 17:42:15 -0500
committer dsomero <xgizzmo@slackbuilds.org>2012-12-23 09:16:14 -0500
commitcaf9ea2270be049c1334803707f62c6aa3167e0e (patch)
treef05069988a098402be393ba924430f0495945d58 /desktop/kbdd
parent7aca17b53320ba06cfc658661f3f9a8917668921 (diff)
downloadslackbuilds-caf9ea2270be049c1334803707f62c6aa3167e0e.tar.gz
slackbuilds-caf9ea2270be049c1334803707f62c6aa3167e0e.tar.xz
desktop/kbdd: Added (kbd library for per-window keyboard layout)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'desktop/kbdd')
-rw-r--r--desktop/kbdd/README9
-rw-r--r--desktop/kbdd/kbdd.SlackBuild85
-rw-r--r--desktop/kbdd/kbdd.info10
-rw-r--r--desktop/kbdd/slack-desc19
4 files changed, 123 insertions, 0 deletions
diff --git a/desktop/kbdd/README b/desktop/kbdd/README
new file mode 100644
index 0000000000..5de038d2c1
--- /dev/null
+++ b/desktop/kbdd/README
@@ -0,0 +1,9 @@
+kbdd is a simple daemon and library to make per window layout using XKB
+(X KeyBoard Extension).
+
+To run kbdd you can just run ``/usr/bin/kbdd`` to use kbdd in daemon
+mode, or use ``/usr/bin/kbdd -n`` to run in verbose mode.
+Go to kbdd Wiki to check usecases described.
+kbdd Wiki: http://github.com/qnikst/kbdd/wiki/Usecases
+Homepage: https://github.com/qnikst/kbdd/
+
diff --git a/desktop/kbdd/kbdd.SlackBuild b/desktop/kbdd/kbdd.SlackBuild
new file mode 100644
index 0000000000..f946ae862e
--- /dev/null
+++ b/desktop/kbdd/kbdd.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh -e
+
+# Slackware build script for kbdd
+
+# Written by Veljko Tanjga (veljko@tanjga.net)
+
+# Licensed under the WTFPL. See http://sam.zoy.org/wtfpl/ for details.
+
+#Set initial variables:
+
+PRGNAM=kbdd
+VERSION=${VERSION:-0.6.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+FLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+# Sure, let's ignore --docdir
+make PREFIX=/usr docdir=/usr/doc/$PRGNAM-$VERSION
+make install docdir=/usr/doc/$PRGNAM-$VERSION DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog AUTHORS COPYING NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README.SBo
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/kbdd/kbdd.info b/desktop/kbdd/kbdd.info
new file mode 100644
index 0000000000..f125cd1859
--- /dev/null
+++ b/desktop/kbdd/kbdd.info
@@ -0,0 +1,10 @@
+PRGNAM="kbdd"
+VERSION="0.6.2"
+HOMEPAGE="https://github.com/qnikst/kbdd"
+DOWNLOAD="https://github.com/downloads/qnikst/kbdd/kbdd-0.6.2.tar.bz2"
+MD5SUM="961d7d8f78674b4d6ce250fb4732bf0f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Veljko Tanjga"
+EMAIL="veljko@tanjga.net"
diff --git a/desktop/kbdd/slack-desc b/desktop/kbdd/slack-desc
new file mode 100644
index 0000000000..a922b39b58
--- /dev/null
+++ b/desktop/kbdd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+kbdd: kbdd (keyboard library for per-window keyboard layout)
+kbdd:
+kbdd: Simple daemon and library to make per window layout using XKB (X
+kbdd: KeyBoard Extension).
+kbdd: To run kbdd you can just run ``/usr/bin/kbdd`` to use kbdd in daemon
+kbdd: mode, or use ``/usr/bin/kbdd -n`` to run in verbose mode.
+kbdd: Go to kbdd Wiki to check usecases described.
+kbdd: kbdd Wiki: http://github.com/qnikst/kbdd/wiki/Usecases
+kbdd:
+kbdd: Homepage: https://github.com/qnikst/kbdd/
+kbdd: